workflow:
  rules:
    - if: $CI_COMMIT_MESSAGE =~ /-draft$/
      when: never
    - if: '$CI_PIPELINE_SOURCE == "push"'

variables:
  CLIENT_ID: $NOBL9_CLIENT_ID
  CLIENT_SECRET: $NOBL9_CLIENT_SECRET
  ACCESS_TOKEN: $NOBL9_ACCESS_TOKEN
  PROJECT: $NOBL9_PROJECT
  SLOCTL_YML: codegile_sample.yml

include:
  - project: 'craciunctln/nobl9-action'
    ref: main
    file: '/.gitlab-ci.yml'


    